> For the complete documentation index, see [llms.txt](https://nviasoft.gitbook.io/nviasoft-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://nviasoft.gitbook.io/nviasoft-docs/api-reference/item/addboolitem/addboolitem-1.md).

# AddBoolItem

#### int AddBoolItem(int lMsgId, bool\[] pnValue)

메시지 작성시 Boolean 배열을 추가하는 함수.

Parameters

<table data-header-hidden><thead><tr><th width="173" valign="top"></th><th width="101" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">lMsgId</td><td valign="top">int</td><td valign="top">작성중인 메시지의 고유 ID</td></tr><tr><td valign="top">pnValue</td><td valign="top">bool[]</td><td valign="top">추가할 bool데이터 배열</td></tr></tbody></table>

```csharp
    // 케이스 2: Boolean 배열 데이터 추가
    // 여러 개의 상태 값을 한 번에 보낼 때 유용합니다.
    bool[] bArrayValues = new bool[] { true, false, true, true };
    int nResult2 = m_gem.AddBoolItem(lMsgId, bArrayValues);

    if (nResult2 == 0)
    {
        Console.WriteLine("Boolean 배열 아이템 추가 성공");
    }
    else
    {
        // 실패 시 에러 코드 확인
        Console.WriteLine($"아이템 추가 실패. 에러 코드: {nResult2}");
    }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/item/addboolitem/addboolitem-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
